%define _requires_exceptions perl(FusionInventory::.*)
%define _provides_exceptions perl(FusionInventory::.*)

Name:		fusioninventory-agent-plugin-esx
Version:	2.1.0
Release:	%mkrel 1
Summary:	ESX inventory support for FusionInventory agent
License:	GPL
Group:		System/Servers
URL:		http://fusioninventory.org/wordpress/
Source0:	http://search.cpan.org/CPAN/authors/id/F/FU/FUSINV/FusionInventory-Agent-Task-ESX-%{version}.tar.gz
Requires:   fusioninventory-agent
BuildRequires:  fusioninventory-agent
BuildArch:      noarch

%description
With this plugin, the agent can perform remote inventory of your ESX, ESXi,
vCenter server using the SOAP interface.

%prep
%setup -q -n FusionInventory-Agent-Task-ESX-%{version}

%build
%__perl Makefile.PL PREFIX=%{_prefix}
%make

%install
rm -rf  %{buildroot}
%makeinstall_std

%files
%doc Changes README LICENSE
%{_bindir}/fusioninventory-esx
%{_mandir}/man1/fusioninventory-esx.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/ESX.pm
%{_datadir}/fusioninventory/lib/FusionInventory/VMware


%changelog

* Mon Apr 09 2012 guillomovitch <guillomovitch> 2.1.0-1.mga2
+ Revision: 229950
- 2.1.0 final

* Tue Mar 06 2012 guillomovitch <guillomovitch> 2.0.9901-1.mga2
+ Revision: 220621
- imported package fusioninventory-agent-plugin-esx

